#
# spec file for package python-pytest-isort
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-isort
Version:        3.1.0
Release:        1.7
Summary:        Pytest plugin to check import ordering using isort
License:        MIT
URL:            https://github.com/stephrdev/pytest-isort/
Source:         https://github.com/stephrdev/pytest-isort/archive/refs/tags/%{version}.tar.gz#/pytest-isort-%{version}-gh.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module importlib-metadata if %python-base < 3.8}
BuildRequires:  %{python_module isort >= 4.0}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core >= 1}
BuildRequires:  %{python_module pytest >= 6.2}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-isort >= 4.0
Requires:       python-pytest >= 5.0
%if 0%{python_version_nodots} < 38
Requires:       python-importlib-metadata
%endif
BuildArch:      noarch
%python_subpackages

%description
This is a pytest plugin to check import ordering using isort.

%prep
%setup -q -n pytest-isort-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%{python_expand #
rm %{buildroot}%{$python_sitelib}/LICENSE.rst
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%pytest

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.rst
%{python_sitelib}/pytest_isort
%{python_sitelib}/pytest_isort-%{version}*-info

%changelog
* Sun Jan 15 2023 Ben Greiner <code@bnavigator.de>
- Update to 3.1.0
  * Drop official support for Python 3.6.
  * Drop usage of "py" dependency and use pytest capture instead
* Mon Mar 28 2022 Ben Greiner <code@bnavigator.de>
- Update to 3.0.0
  * Drop support for isort < 5
  * Add suport for pytest 7
- Release 2.0.0
  * BREAKING CHANGE: Files that are ignored in isort's own
    configuration will now be skipped
- Release 1.3.0
  * Fix issue with pytest >= 6.1
- Release 1.2.0
  * Add support for pytest >= 6
- Drop pytest6.patch
- License change
* Tue Aug 25 2020 Marketa Calabkova <mcalabkova@suse.com>
- Add patch pytest6.patch to fix tests
- Drop python2 because newer pytest is needed
* Sat Jul 11 2020 Benjamin Greiner <code@bnavigator.de>
- Update to 1.1.0:
  * Add support for isort >= 5
* Sun May  3 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * BREAKING CHANGE: Drop support for Python 3.4
  * Add support for pytest >= 5.x - fixes "from_parent" warning
  * Add support for Python 3.7 and Python 3.8
* Mon Mar 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.1:
  * Update packaging, source distribution now includes tests and wheel is universal
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.0:
  * Improve display of test result by appending ::ISORT
  * This release requires pytest 3.5
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.1:
  * Drop "pytest-cache" dependency, not required anymore - part of py.test itself
* Thu May 10 2018 toddrme2178@gmail.com
- Update to 0.2.0
  * Register marker to work with pytest's strict mode
  * Add "official" support for Python 3.5 and 3.6
- Use license tag
* Tue Aug 22 2017 toddrme2178@gmail.com
- Initial version
